> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Show ReservationAccessToken entity

- Product: Reservations
- Section: ReservationAccessToken
- Snapshot: Current
- Method: `GET`
- Path: `/api/reservations/{reservation}/access_tokens/{id}`

## Path parameters

### `reservation`

Type: `number`  
Required: yes  

### `id`

Type: `number`  
Required: yes  

## Query parameters

### `token`

Type: `string`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.reservations.accessTokens.get({
  reservation: 0,
  id: 0,
  token: "<token>",
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/reservations/$RESERVATION/access_tokens/$ID" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "token=$TOKEN"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{}
```

##### Schema

###### ReservationAccessToken

Type: `ReservationAccessToken`  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/reservations/access-tokens/methods/get/)
- [TypeScript Markdown](/reservations/access-tokens/methods/get.md?lang=typescript)
- [curl Markdown](/reservations/access-tokens/methods/get.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/reservations/llms.txt)
- [snapshot llms.txt](/reservations/llms.txt)
